package com.zt.plat.module.base.service.materialgradeext;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.base.controller.admin.materialgradeext.vo.MaterialGradeExtPageReqVO;
import com.zt.plat.module.base.controller.admin.materialgradeext.vo.MaterialGradeExtRespVO;
import com.zt.plat.module.base.controller.admin.materialgradeext.vo.MaterialGradeExtSaveReqVO;

import java.util.List;

public interface MaterialGradeExtService {

    MaterialGradeExtRespVO create(MaterialGradeExtSaveReqVO reqVO);

    void update(MaterialGradeExtSaveReqVO reqVO);

    void delete(Long id);

    void deleteByIds(List<Long> ids);

    MaterialGradeExtRespVO get(Long id);

    PageResult<MaterialGradeExtRespVO> getPage(MaterialGradeExtPageReqVO pageReqVO);
}